Bug 733845 - krita unable to open tif files that it created
Summary: krita unable to open tif files that it created
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: koffice
Version: 14
Hardware: i386
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-27 15:33 UTC by Michael Borland
Modified: 2012-08-16 12:08 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 12:07:58 UTC


Attachments (Terms of Use)
File saved with krita, which krita cannot open. (361.54 KB, image/tiff)
2011-08-27 15:33 UTC, Michael Borland
no flags Details
This is the file that was used as input to krita (360.63 KB, image/tiff)
2011-08-27 15:34 UTC, Michael Borland
no flags Details

Description Michael Borland 2011-08-27 15:33:29 UTC
Created attachment 520172 [details]
File saved with krita, which krita cannot open.

Description of problem:
Krita is unable to read tif files that it creates. The files can be read by GIMP, however.

Version-Release number of selected component (if applicable):
2.3.3

How reproducible:
Always.


Steps to Reproduce:
1. Start krita
2. Open a bitmap file (e.g., JPEG, TIF
3. Save as TIF
4. Close krita
5. Open the just-saved file.
  
Actual results:
Program fails to open file.

Expected results:
Program opens file and allows editing.

Additional info:
This was reported on bugs.kde.org and supposedly fixed 5/2011, but so far still does not work.

Comment 1 Michael Borland 2011-08-27 15:34:35 UTC
Created attachment 520173 [details]
This is the file that was used as input to krita

Comment 2 Michael Borland 2012-01-08 03:16:31 UTC
This is still a problem as of fedora 16. The file saved by krita cannot be opened successfully by krita. It also does not display properly using the ImageMagick display command. I can open it with GIMP, but GIMP pops up a dialog stating that "The image problem.tif has an embedded color profile: (invalid UTF-8 string). Convert the image to the RGB working space (sRGB built-in)?".

Comment 3 Fedora End Of Life 2012-08-16 12:08:02 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.